import search from "@/page/index/search.vue";

export default {
  height:'auto',
  calcHeight: 30,
  tip: false,
  searchShow: true,
  searchMenuSpan: 6,
  searchSpan: 4,
  border: true,
  index: true,
  viewBtn: true,
  selection: true,
  dialogClickModal: false,
  menuWidth: 250,
  dialogWidth: 800,
  gridBtn: false,
  columnBtn: false,
  searchShowBtn: false,
  refreshBtn:false,
  column: [
    {
      label: '故障品牌',
      prop: "brand",
      dicUrl: '/blade-system/dict/dictionary?code=device_brand',
      search: true,
      type: 'select',
      span: 24,
      props: {
        label: 'dictValue',
        value: 'dictKey',
      },
      rules: [
        {
          required: true,
          message: '请选择故障品牌',
          trigger: 'blur',
        },
      ],
    },
    {
      label: "故障主码",
      prop: "code",
      type: "input",
      search: true,
      rules: [
        {
          required: true,
          message: '请输入故障主码',
          trigger: 'blur',
        },
      ],
    },
    // {
    //   label: "子代码",
    //   prop: "subCode",
    //   type: "input",
    // },
    {
      label: "故障原因",
      prop: "reason",
      span: 24,
      type: "input",
      search: true
    },
    {
      label: "故障内容",
      prop: "content",
      type: 'textarea',
      span: 24,
      minRows: 4
    },
    {
      label: '处理建议',
      width: 300,
      // overHidden:true,
      // showOverflowTooltip: true,
      prop: 'suggestion',
      type: 'textarea',
      slot:true,
      span: 24,
      minRows: 4,
    },
    {
      label: '是否停用',
      prop: "status",
      dicUrl: '/blade-system/dict/dictionary?code=yes_no',
      // search: true,
      dataType: 'number',
      type: 'switch',
      props: {
        label: 'dictValue',
        value: 'dictKey',
      }
    }
  ]
}
