import search from "@/page/index/search.vue";

export default {
  height:'auto',
  calcHeight: 30,
  tip: false,
  searchShow: true,
  searchMenuSpan: 5,
  searchSpan: 4,
  menuFixed: true,
  border: true,
  index: true,
  viewBtn: true,
  addBtn: false,
  selection: true,
  dialogClickModal: false,
  // menu: false,
  // dialogWidth: 600,
  gridBtn: false,
  columnBtn: false,
  searchShowBtn: false,
  refreshBtn:false,
  column: [
    {
      label: "方案类型",
      prop: "planType",
      search: true,
      dataType: 'number',
      dicUrl: '/blade-system/dict/dictionary?code=setting_plan_type',
      type: 'select',
      editDisabled: true,
      props: {
        label: 'dictValue',
        value: 'dictKey',
      },
    },
    {
      label: "备案方式",
      prop: "recordType",
      dataType: 'number',
      editDisabled: true,
      search: true,
      dicUrl: '/blade-system/dict/dictionary?code=setting_record_type',
      type: 'select',
      props: {
        label: 'dictValue',
        value: 'dictKey',
      },
    },
    {
      label: "客户类型",
      prop: "customerType",
      dataType: 'number',
      dicUrl: '/blade-system/dict/dictionary?code=setting_customer_type',
      type: 'select',
      props: {
        label: 'dictValue',
        value: 'dictKey',
      },
    },
    {
      label: "省份",
      prop: "province",
      search: true,
      dicUrl: '/blade-system/region/lazy-tree?parentCode=00',
      // cascader: ['citys'],
      type: 'select',
      props: {
        label: 'title',
        value: 'title',
      },
    },
    {
      label: "城市",
      prop: "citys",
      search: true,
      slot: true,
      dicUrl: `/blade-system/region/selectCityByProvince?provinceName={{province}}`,
      type: 'select',
      multiple: true,
      searchSlot: true,
      limit: 3,
      props: {
        label: 'name',
        value: 'name',
      },
    },
    {
      label: "年份",
      prop: "year",
      type: 'year',
      format: 'YYYY',
      valueFormat: 'YYYY',
    },
    {
      label: "1月",
      prop: "guardHourM1",
      type: "input",
      hide: true,
      width:70,
      span: 6,
    },
    {
      label: "2月",
      prop: "guardHourM2",
      type: "input",
      hide: true,
      width:70,
      span: 6,
    },
    {
      label: "3月",
      prop: "guardHourM3",
      type: "input",
      hide: true,
      width:70,
      span: 6,
    },
    {
      label: "4月",
      prop: "guardHourM4",
      type: "input",
      hide: true,
      width:70,
      span: 6,
    },
    {
      label: "5月",
      prop: "guardHourM5",
      type: "input",
      hide: true,
      width:70,
      span: 6,
    },
    {
      label: "6月",
      prop: "guardHourM6",
      type: "input",
      hide: true,
      width:70,
      span: 6,
    },
    {
      label: "7月",
      prop: "guardHourM7",
      type: "input",
      hide: true,
      width:70,
      span: 6,
    },
    {
      label: "8月",
      prop: "guardHourM8",
      type: "input",
      hide: true,
      width:70,
      span: 6,
    },
    {
      label: "9月",
      prop: "guardHourM9",
      type: "input",
      hide: true,
      width:70,
      span: 6,
    },
    {
      label: "10月",
      prop: "guardHourM10",
      type: "input",
      hide: true,
      width:70,
      span: 6,
    },
    {
      label: "11月",
      prop: "guardHourM11",
      type: "input",
      hide: true,
      width:70,
      span: 6,
    },
    {
      label: "12月",
      prop: "guardHourM12",
      type: "input",
      hide: true,
      width:70,
      span: 6,
    },
    {
      label: "合计",
      prop: "guardHourTotal",
      type: "input",
      hide: true,
      addDisplay: false,
      editDisplay: false
    },
    {
      label: "创建时间",
      prop: "createTime",
      type: "input",
      width: 105,
      addDisplay: false,
      editDisplay: false
    },
    {
      label: "最新修改时间",
      prop: "updateTime",
      type: "input",
      width: 105,
      addDisplay: false,
      editDisplay: false
    },
    
    
  ]
}
