import search from "@/page/index/search.vue";
import { dataType } from "element-plus/es/components/table-v2/src/common";

export default {
  height:'auto',
  calcHeight: 30,
  tip: true,
  searchShow: true,
  searchMenuSpan: 4,
  border: true,
  index: false,
  viewBtn: true,
  selection: true,
  searchSpan: 5,
  searchLabelWidth: 100,
  dialogClickModal: false,
  delBtn: false,
  editBtn: false,
  menuFixed: true,
  viewBtn: false, 
  addBtn: false,
  gridBtn: false,
  columnBtn: false,
  searchShowBtn: false,
  refreshBtn:false,
  menuWidth: 100,
  column: [
    {
      label: "主键",
      prop: "id",
      type: "input",
      addDisplay: false,
      editDisplay: false,
      viewDisplay: false,
      hide: true,
    },
    {
      label: "电站编号",
      prop: "stationCode",
      type: "input",
      slot: true,
      searchOrder: 100,
      width: 150,
      search: true,
    },
    {
      label: '状态',
      prop: "status",
      dicUrl: '/blade-system/dict/dictionary?code=power_station_status',
      // search: true,
      // type: 'select',
      props: {
        label: 'dictValue',
        value: 'dictKey',
      }
    }, 
    {
      label: '品牌',
      prop: "brand",
      dicUrl: '/blade-system/dict/dictionary?code=device_brand',
      search: true,
      dataType: "number",
      type: 'select',
      props: {
        label: 'dictValue',
        value: 'dictKey',
      }
    },
    {
      label: "业主名称",
      prop: "ownerName",
      type: "input",
      searchOrder: 80,
      search: true,
    },
    {
      label: "业主电话",
      prop: "ownerPhone",
      type: "input",
      hide: true,
    },
    {
      label: "省",
      prop: "province",
      type: "input",
      hide: true,
    },
    {
      label: "市",
      prop: "city",
      type: "input",
      hide: true,
    },
    {
      label: "区",
      prop: "district",
      type: "input",
      hide: true,
    },
    {
      label: "详细地址",
      prop: "address",
      searchOrder: 70,
      slot: true,
      width: 250,
      search: true
    },
    {
      label: "安装容量（kW）",
      prop: "actualCapacity",
      align: "center",
      width: 90,
      type: "input",
    },
    {
      label: "日电量（kwh）",
      prop: "etd",
      width: 90,
      align: "center",
      slot: true,
    },
    {
      label: "月电量（kwh）",
      prop: "etm",
      width: 90,
      align: "center",
      slot: true,
    },
    {
      label: "年电量（kwh）",
      prop: "ety",
      width: 90,
      align: "center",
      slot: true,
    },
    {
      label: "累计电量（kwh）",
      prop: "eta",
      width: 90,
      align: "center",
      slot: true,
    },
    {
      label: "进件序号",
      prop: "applyNo",
      type: "input",
      searchOrder: 90,
      search: true
    },
    {
      label: "资方",
      prop: "capitalName",
      searchOrder: 100,
      search: true,
    },
    {
      label: "运维服务商",
      prop: "omProviderName",
      type: "input",
      search: true,
      searchOrder: 110,
    },
    {
      label: "离线时长",
      prop: "offlineDuring",
      search: true,
      slot: true,
    },
    {
      label: "异常时长",
      prop: "errorDuring",
      search: true,
      slot: true,
    },
  ]
}
